{% extends 'base.html.twig' %}

{% block title %}{% trans %}Person index{% endtrans %}{% endblock %}

{% block body %}
    <h1 align="center">{% trans %}Person index{% endtrans %}</h1>
    <a class="btn btn-primary" href="{{ path('person_new') }}">{% trans %}Create new{% endtrans %}</a>
    <br /><br />
    <table class="table">
        <thead>
            <tr>
                <th>{% trans %}Id{% endtrans %}</th>
                <th>{% trans %}Nom{% endtrans %}</th>
                <th>{% trans %}Prenom{% endtrans %}</th>
                <th>{% trans %}Age{% endtrans %}</th>
                <th>{% trans %}actions{% endtrans %}</th>
            </tr>
        </thead>
        <tbody>
        {% for person in people %}
            <tr>
                <td>{{ person.id }}</td>
                <td>{{ person.nom }}</td>
                <td>{{ person.prenom }}</td>
                <td>{{ person.age }}</td>
                <td>
                    <a href="{{ path('person_show', {'id': person.id}) }}"><button class="btn btn-info">{% trans %}Voir{% endtrans %}</button></a>
                    <a href="{{ path('person_edit', {'id': person.id}) }}"><button class="btn btn-primary">{% trans %}Editer{% endtrans %}</button></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">{% trans %}no records found{% endtrans %}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
